/*Full page container*/
.signup-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    background-image: radial-gradient(farthest-corner at 10% 100%, #F9B35B 5%, #8AD397 15%, #02313E 60%);

}

/*Gradient background for btn*/

.gb-signup {
    z-index: 1 !important; /*Very strange but gradient doesn't show on sign up page unless the z-index is 1.*/

}


/* password-guidelines */

.password-container {
    position: relative;
}

.password-guidelines-list {
    margin-left: 10px;
}

.password-guidelines-list li {
    list-style-type: circle;

}



.password-guidelines {
    display: none; /* Hide the guidelines by default */
    position: absolute;
    top: 0;  /* Position it to the right of the the password input */
    left: 120%;
    font-size: var(--font-size-sm);
    border: 1px solid var(--primary-color);
    padding: 30px;
    border-radius: var(--border-radius);
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    width: 25rem;
    z-index: 10;
}

.password-container:hover .password-guidelines {
    display: block; /* Show the guidelines when hovering over the password input */
}

/*User input*/

#id_password2 {
    margin-bottom: var(--space-lg);
}

li:first-child {
    margin-bottom: var(--space-sm);
  }
